/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.stage.service;



import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.modular.stage.param.PigpenStageAddParam;
import vip.xiaonuo.modular.stage.param.PigpenStageEditParam;
import vip.xiaonuo.modular.stage.param.PigpenStageIdParam;
import vip.xiaonuo.modular.stage.param.PigpenStagePageParam;
import vip.xiaonuo.modular.stage.entity.PigpenStage;

import java.util.List;

/**
 * 栋舍阶段Service接口
 *
 * @author newspaper
 * @date  2023/12/05 15:12
 **/
public interface PigpenStageService extends IService<PigpenStage> {

    /**
     * 获取栋舍阶段分页
     *
     * @author newspaper
     * @date  2023/12/05 15:12
     */
    Page<PigpenStage> page(PigpenStagePageParam pigpenStagePageParam);

    /**
     * 添加栋舍阶段
     *
     * @author newspaper
     * @date  2023/12/05 15:12
     */
    void add(PigpenStageAddParam pigpenStageAddParam);

    /**
     * 编辑栋舍阶段
     *
     * @author newspaper
     * @date  2023/12/05 15:12
     */
    void edit(PigpenStageEditParam pigpenStageEditParam);

    /**
     * 删除栋舍阶段
     *
     * @author newspaper
     * @date  2023/12/05 15:12
     */
    void delete(List<PigpenStageIdParam> pigpenStageIdParamList);

    /**
     * 获取栋舍阶段详情
     *
     * @author newspaper
     * @date  2023/12/05 15:12
     */
    PigpenStage detail(PigpenStageIdParam pigpenStageIdParam);

    /**
     * 获取栋舍阶段详情
     *
     * @author newspaper
     * @date  2023/12/05 15:12
     **/
    PigpenStage queryEntity(String id);

    List<PigpenStage> getAllPigpenList();
}
